Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.rpc.server
Class WebModeClientOracle.Builder

    java.lang.Object
      com.google.gwt.rpc.server.WebModeClientOracle.Builder

Enclosing class:
  WebModeClientOracle

    public static class WebModeClientOracle.Builder

extends java.lang.Object

A Builder object to create ClientOracles.

Constructor Summary
`WebModeClientOracle.Builder()`

Method Summary
`void` | `add(java.lang.String jsIdent, java.lang.String jsniIdent, java.lang.String className, java.lang.String memberName, int queryId, CastableTypeData castableTypeData)`
`WebModeClientOracle` | `getOracle()`
`void` | `setSerializableFields(java.lang.String className, java.util.List<java.lang.String> fieldNames)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebModeClientOracle.Builder

    public WebModeClientOracle.Builder()

Method Detail

### add

    public void add(java.lang.String jsIdent,
                    java.lang.String jsniIdent,
                    java.lang.String className,
                    java.lang.String memberName,
                    int queryId,
                    CastableTypeData castableTypeData)

### getOracle

    public WebModeClientOracle getOracle()

### setSerializableFields

    public void setSerializableFields(java.lang.String className,
                                      java.util.List<java.lang.String> fieldNames)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD